Skip to main content
GET
https://api-oms.verolabs.co
/
api
/
v1
/
oms
/
admin
/
mappings
/
{account_code}
Get account mapping
curl --request GET \
  --url https://api-oms.verolabs.co/api/v1/oms/admin/mappings/{account_code} \
  --header 'Authorization: Bearer <token>'
{
  "account_code": "<string>",
  "name": "<string>",
  "internal_client_code": "<string>",
  "client_code": "<string>",
  "comp_id": "<string>",
  "account_type": 123,
  "invest_code": "<string>",
  "forn_invest_type_code": "<string>",
  "is_mm_account": true,
  "sender_sub_id": "<string>",
  "email": "<string>",
  "phone": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_code
string
required

Account code path parameter.

Response

OK

MappingView schema.

account_code
string

Account code used by administration and mapping records.

name
string

Display name.

internal_client_code
string

Account mapping code.

client_code
string

Client code for the account mapping.

comp_id
string

CompID used for routing or reference data.

account_type
integer<int32>

Account type code.

invest_code
string

Investor code.

forn_invest_type_code
string

Foreign investor type code.

is_mm_account
boolean

Indicates whether the account is a market-making account.

sender_sub_id
string

SenderSubID used for routing or reference data.

email
string

Email address associated with the user or account.

phone
string

Phone number associated with the account.